//@line 36 "/cygdrive/e/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mail/components/preferences/general.js"

var gGeneralPane = {
  mPane: null,
  mMapiBundle: null,
  mBrandBundle: null,
  mSound: null,

  init: function ()
  {
    this.mPane = document.getElementById("paneGeneral");

    this.mBrandBundle = document.getElementById("brandBundle");
    this.mMapiBundle = document.getElementById("mapiBundle"); 

//@line 51 "/cygdrive/e/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mail/components/preferences/general.js"
    this.onReadDefaultMailPref();
    this.onReadDefaultNewsPref();
    this.onReadDefaultFeedPref();
//@line 55 "/cygdrive/e/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mail/components/preferences/general.js"

//@line 59 "/cygdrive/e/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mail/components/preferences/general.js"

//@line 71 "/cygdrive/e/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mail/components/preferences/general.js"
  },

//@line 74 "/cygdrive/e/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mail/components/preferences/general.js"
  onReadDefaultMailPref: function()
  {
    var mapiRegistry = Components.classes["@mozilla.org/mapiregistry;1"].getService(Components.interfaces.nsIMapiRegistry);
    document.getElementById('defaultMailClient').checked = mapiRegistry.isDefaultMailClient;   
    return mapiRegistry.isDefaultMailClient;
  },

  onWriteDefaultMailPref: function()
  {
    var mapiRegistry = Components.classes["@mozilla.org/mapiregistry;1"].getService(Components.interfaces.nsIMapiRegistry);
    var makeDefaultMailClient = document.getElementById('mail.checkDefaultMail').value;   
    if (mapiRegistry.isDefaultMailClient != makeDefaultMailClient) 
      mapiRegistry.isDefaultMailClient = makeDefaultMailClient;
  },

  onReadDefaultNewsPref: function()
  {
    var mapiRegistry = Components.classes["@mozilla.org/mapiregistry;1"].getService(Components.interfaces.nsIMapiRegistry);
    document.getElementById('defaultNewsClient').checked = mapiRegistry.isDefaultNewsClient;   
    return mapiRegistry.isDefaultNewsClient;   
  },

  onWriteDefaultNewsPref: function()
  {
    var mapiRegistry = Components.classes["@mozilla.org/mapiregistry;1"].getService(Components.interfaces.nsIMapiRegistry);
    var makeDefaultNewsClient = document.getElementById('mail.checkDefaultNews').value;   
    if (mapiRegistry.isDefaultNewsClient != makeDefaultNewsClient) 
      mapiRegistry.isDefaultNewsClient = makeDefaultNewsClient;
  },

  onReadDefaultFeedPref: function()
  {
    var mapiRegistry = Components.classes["@mozilla.org/mapiregistry;1"].getService(Components.interfaces.nsIMapiRegistry);
    document.getElementById('defaultFeedClient').checked = mapiRegistry.isDefaultFeedClient;   
    return mapiRegistry.isDefaultFeedClient;   
  },

  onWriteDefaultFeed: function()
  {
    var mapiRegistry = Components.classes["@mozilla.org/mapiregistry;1"].getService(Components.interfaces.nsIMapiRegistry);
    var makeDefaultFeedClient = document.getElementById('mail.checkDefaultFeed').value;   
    if (mapiRegistry.isDefaultFeedClient != makeDefaultFeedClient) 
      mapiRegistry.isDefaultFeedClient = makeDefaultFeedClient;
  },

//@line 120 "/cygdrive/e/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mail/components/preferences/general.js"

//@line 173 "/cygdrive/e/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mail/components/preferences/general.js"

  startPageCheck: function() 
  {
    document.getElementById("mailnewsStartPageUrl").disabled = !document.getElementById("mailnewsStartPageEnabled").checked;
  },
  
  setHomePageToDefaultPage: function ()
  {
    var prefService = Components.classes["@mozilla.org/preferences-service;1"]
                                .getService(Components.interfaces.nsIPrefService);
    var pref = prefService.getDefaultBranch(null);
    var url = pref.getComplexValue("mailnews.start_page.url",
                                   Components.interfaces.nsIPrefLocalizedString).data;
    var startPageUrlField = document.getElementById("mailnewsStartPageUrl");
    startPageUrlField.value = url;
    
    this.mPane.userChangedValue(startPageUrlField);
  },

  showConnections: function ()
  {
    document.documentElement.openSubDialog("chrome://messenger/content/preferences/connection.xul",
                                           "", null);
  },

  showAdvancedSound: function()
  {
     document.documentElement.openSubDialog("chrome://messenger/content/preferences/notifications.xul",
                                           "", null);
  },
};
